Bug 799344 - wget zh_CN Translation error makes the wget output ugly
wget zh_CN Translation error makes the wget output ugly
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wget (Show other bugs)
16
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Tomáš Hozza
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-02 09:43 EST by TianShixiong
Modified: 2012-11-10 12:43 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-10 04:45:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description TianShixiong 2012-03-02 09:43:08 EST
Description of problem:
There is a wrong translation in wget. The string "ETA" is translated to "英国中部时间" which means: "Time of Middle Britain", this is a obvious mistake.
This wrong translation makes the wget output ugly when run wget in zh_CN locale.

Version-Release number of selected component (if applicable):
wget-1.12-4.fc16.x86_64

How reproducible:
Download a file(try bigger one, so the error will be easier to see) by using wget in zh_CN locale

Steps to Reproduce:
1. open terminal or shell
2. run LANG=zh_CN.utf-8 wget file_to download OR run wget file_to_download directly under zh_CN locale. 
3.
  
Actual results:

 0% [                                       ] 2,094,208    671K/s eta(英国中部时 0% [                                       ] 2,242,528    674K/s eta(英国中部时 0% [                                       ] 2,390,848    677K/s eta(英国中部时 0% [                                       ] 2,539,168    679K/s eta(英国中部时 0% [                                       ] 2,687,488    686K/s eta(英国中部时 0% [                                       ] 2,835,808    687K/s eta(英国中部时 0% [                                       ] 2,984,128    754K/s eta(英国中部时 0% [                                       ] 3,132,448    722K/s eta(英国中部时 0% [                                       ] 3,280,768    754K/s eta(英国中部时 0% [                                       ] 3,429,088    751K/s eta(英国中部时 0% [                                       ] 3,577,408    722K/s eta(英国中部时 0% [                                       ] 3,725,728    722K/s eta(英国中部时 0% [                                       ] 3,874,048    722K/s eta(英国中部时 0% [                                       ] 4,022,368    722K/s eta(英国中部时 0% [                                       ] 4,170,688    722K/s eta(英国中部时 0% [                                       ] 4,319,008    722K/s eta(英国中部时 0% [                                       ] 4,467,328    722K/s eta(英国中部时 0% [                                       ] 4,615,648    721K/s eta(英国中部时 0% [                                       ] 4,761,088    721K/s eta(英国中部时 0% [                                       ] 4,909,408    721K/s eta(英国中部时 0% [                                       ] 5,057,728    721K/s eta(英国中部时 0% [                                       ] 5,206,048    721K/s eta(英国中部时 0% [                                       ] 5,347,168    718K/s eta(英国中部时 0% [                                       ] 5,495,488    718K/s eta(英国中部时 0% [                                       ] 5,643,808    718K/s eta(英国中部时 0% [                                       ] 5,756,672    688K/s eta(英国中部时 0% [                                       ] 6,002,368    718K/s eta(英国中部时 0% [                                       ] 6,150,688    718K/s eta(英国中部时 0% [                                       ] 6,299,008    718K/s eta(英国中部时 0% [                                       ] 6,447,328    718K/s eta(英国中部时间) 64m 56s^C
 

Expected results:
Strings above shouldn't be shown and eta should be right translated.

Additional info:
Upstream project had already fixed this bug in 2010. Please consider to use the fixed translation.
Comment 1 TianShixiong 2012-03-02 09:45:35 EST
Here is the link of original bug discussion in upstream mailing list.

https://lists.gnu.org/archive/html/bug-wget/2010-01/msg00005.html
Comment 2 Tomáš Hozza 2012-10-10 11:00:15 EDT
Hi.

I backported translation for "eta" from wget-1.13.4. The output now looks as follows:

# LANG=zh_CN.utf-8 wget http://ftp.isc.org/isc/bind9/9.9.2/bind-9.9.2.tar.gz
--2012-10-10 15:47:32--  http://ftp.isc.org/isc/bind9/9.9.2/bind-9.9.2.tar.gz
正在解析主机 ftp.isc.org (ftp.isc.org)... 204.152.184.110, 2001:4f8:0:2::18
正在连接 ftp.isc.org (ftp.isc.org)|204.152.184.110|:80... 已连接。
已发出 HTTP 请求,正在等待回应... 200 OK
长度:7285050 (6.9M) [application/x-gzip]
正在保存至: “bind-9.9.2.tar.gz.7”

 3% [>                                       ] 285,879     30.1K/s 估时 3m 54s


This issue has been fixed in wget-1.12-6.fc16. You can wait for the next wget update, or download updated packages from here: http://koji.fedoraproject.org/koji/buildinfo?buildID=359287
Comment 3 Alick Zhao 2012-10-11 01:13:49 EDT
(In reply to comment #2)
> 
> This issue has been fixed in wget-1.12-6.fc16. You can wait for the next
> wget update, or download updated packages from here:
> http://koji.fedoraproject.org/koji/buildinfo?buildID=359287

I tried wget-1.12-6.fc16.x86_64.rpm. The command output looks good now. Thanks for your effort, Tomas.
Comment 4 Fedora Update System 2012-10-16 06:49:40 EDT
wget-1.12-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/wget-1.12-6.fc16
Comment 5 Fedora Update System 2012-10-16 20:26:51 EDT
Package wget-1.12-6.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wget-1.12-6.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16264/wget-1.12-6.fc16
then log in and leave karma (feedback).
Comment 6 TianShixiong 2012-10-17 07:34:44 EDT
(In reply to comment #5)
> Package wget-1.12-6.fc16:
> * should fix your issue,
> * was pushed to the Fedora 16 testing repository,
> * should be available at your local mirror within two days.
> Update it with:
> # su -c 'yum update --enablerepo=updates-testing wget-1.12-6.fc16'
> as soon as you are able to.
> Please go to the following url:
> https://admin.fedoraproject.org/updates/FEDORA-2012-16264/wget-1.12-6.fc16
> then log in and leave karma (feedback).
Thanks.
It's OK on my Fedora 16 x86_64 machine now.

Note You need to log in before you can comment on or make changes to this bug.